Disable Campaign
curl --request POST \
--url https://{cluster}.voucherify.io/v1/campaigns/{campaignId}/disable \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{}{
"code": 404,
"key": "not_found",
"message": "Resource not found",
"details": "Cannot find campaign with id Spring Campaign",
"request_id": "v-0adaf3735116bb298b",
"resource_id": "Spring Campaign",
"resource_type": "campaign"
}Disable Campaign
Sets campaign state to inactive. The vouchers in this campaign can no longer be redeemed.
POST
/
v1
/
campaigns
/
{campaignId}
/
disable
Disable Campaign
curl --request POST \
--url https://{cluster}.voucherify.io/v1/campaigns/{campaignId}/disable \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{}{
"code": 404,
"key": "not_found",
"message": "Resource not found",
"details": "Cannot find campaign with id Spring Campaign",
"request_id": "v-0adaf3735116bb298b",
"resource_id": "Spring Campaign",
"resource_type": "campaign"
}Authorizations
X-App-Id & X-App-TokenX-Voucherify-OAuth
Scopes
api
Gives access to whole server-side API.
campaigns
Gives access to all endpoints and methods starting with v1/campaigns.
Path Parameters
The campaign ID or name of the campaign being disabled. You can either pass the campaign ID, which was assigned by Voucherify, or the name of the campaign as the path parameter value.
Example:
"camp_rRsfatlwN7unSeUIJDCYedal"
Response
Returns an empty json {}.
Response body schema for POST v1/campaigns/{campaignId}/disable.

